Bug 654935 - CVE-2010-4176 dracut: /dev/systty permissions could allow remote users to snoop on local users [fedora-all]
CVE-2010-4176 dracut: /dev/systty permissions could allow remote users to sn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-4176
  Show dependency treegraph
 
Reported: 2010-11-18 23:14 EST by Huzaifa S. Sidhpurwala
Modified: 2010-12-02 14:09 EST (History)
3 users (show)

See Also:
Fixed In Version: udev-153-5.fc13
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 17:38:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2010-11-18 23:14:33 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=654489

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2010-11-19 03:17:59 EST
udev-153-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/udev-153-5.fc13
Comment 2 Fedora Update System 2010-11-19 03:18:32 EST
dracut-006-4.fc14,udev-161-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dracut-006-4.fc14,udev-161-7.fc14
Comment 3 Fedora Update System 2010-11-19 17:28:33 EST
udev-153-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/udev-153-5.fc13
Comment 4 Dario Castellarin 2010-11-20 20:27:01 EST
This update broke sound on my laptop (Compal JFL92) on F14 x86_64. The bug is 100% reproducible:

1. Install the udev/dracut update
2. Rebuild the initramfs image (dracut -f)
3. Reboot

Pulseaudio won't find any sound card when running module-udev-detect, and will fall back to dummy audio output.
If I downgrade udev and dracut, and rebuild the initramfs image, the problem doesn't appear anymore.

Later tomorrow I should be able to test it on other systems.
Comment 5 Fedora Update System 2010-11-24 17:38:01 EST
dracut-006-5.fc14, udev-161-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-12-02 14:09:34 EST
udev-153-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.